## python-librabbitmq 1.0.3

=== clib/Makefile ===
# Makefile.in generated by automake 1.14 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.







am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/librabbitmq
pkgincludedir = $(includedir)/librabbitmq
pkglibdir = $(libdir)/librabbitmq
pkglibexecdir = $(libexecdir)/librabbitmq
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-apple-darwin13.0.0
host_triplet = x86_64-apple-darwin13.0.0
am__append_1 = librabbitmq/unix/socket.c \
	librabbitmq/unix/socket.h
am__append_2 = -I$(top_srcdir)/librabbitmq/unix
#am__append_3 = librabbitmq/win32/socket.c \
#	librabbitmq/win32/socket.h
#am__append_4 = -I$(top_srcdir)/librabbitmq/win32 \
#	-I$(top_srcdir)/librabbitmq/win32/msinttypes
check_PROGRAMS = tests/test_tables$(EXEEXT) \
	tests/test_parse_url$(EXEEXT)
am__append_5 = examples/unix/platform_utils.c
#am__append_6 = examples/win32/platform_utils.c
#am__append_7 = -I$(top_srcdir)/tools/win32/msinttypes
noinst_PROGRAMS = examples/amqp_bind$(EXEEXT) \
	examples/amqp_consumer$(EXEEXT) \
	examples/amqp_exchange_declare$(EXEEXT) \
	examples/amqp_listen$(EXEEXT) examples/amqp_listenq$(EXEEXT) \
	examples/amqp_producer$(EXEEXT) \
	examples/amqp_sendstring$(EXEEXT) \
	examples/amqp_unbind$(EXEEXT)
#am__append_8 = tools/libcommon.la
#am__append_9 = tools/unix/process.c \
#	tools/unix/process.h
#am__append_10 = -I$(top_srcdir)/tools/unix
##am__append_11 = tools/win32/compat.c \
##	tools/win32/compat.h \
##	tools/win32/process.c \
##	tools/win32/process.h
##am__append_12 =  \
##	-I$(top_srcdir)/tools/win32 \
##	-I$(top_srcdir)/tools/win32/msinttypes
#bin_PROGRAMS = tools/amqp-consume$(EXEEXT) \
#	tools/amqp-declare-queue$(EXEEXT) \
#	tools/amqp-delete-queue$(EXEEXT) \
#	tools/amqp-get$(EXEEXT) \
#	tools/amqp-publish$(EXEEXT)
subdir = .
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(top_srcdir)/configure $(am__configure_deps) \
	$(srcdir)/config.h.in $(srcdir)/librabbitmq.pc.in depcomp \
	$(include_HEADERS) test-driver AUTHORS THANKS TODO compile \
	config.guess config.sub install-sh missing ltmain.sh
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/cflags.m4 \
	$(top_srcdir)/m4/ldflags.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/popt.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = librabbitmq.pc
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" \
	"$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man7dir)" \
	"$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(includedir)"
LTLIBRARIES = $(lib_LTLIBRARIES) $(noinst_LTLIBRARIES)
examples_libutils_la_LIBADD =
am__examples_libutils_la_SOURCES_DIST = examples/utils.c \
	examples/utils.h examples/unix/platform_utils.c \
	examples/win32/platform_utils.c
am__dirstamp = $(am__leading_dot)dirstamp
am__objects_1 = examples/unix/examples_libutils_la-platform_utils.lo
#am__objects_2 = examples/win32/examples_libutils_la-platform_utils.lo
am_examples_libutils_la_OBJECTS =  \
	examples/examples_libutils_la-utils.lo $(am__objects_1) \
	$(am__objects_2)
examples_libutils_la_OBJECTS = $(am_examples_libutils_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
examples_libutils_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(examples_libutils_la_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
librabbitmq_librabbitmq_la_LIBADD =
am__librabbitmq_librabbitmq_la_SOURCES_DIST = librabbitmq/amqp_api.c \
	librabbitmq/amqp_connection.c librabbitmq/amqp_framing.c \
	librabbitmq/amqp_mem.c librabbitmq/amqp_private.h \
	librabbitmq/amqp_socket.c librabbitmq/amqp_table.c \
	librabbitmq/amqp_url.c librabbitmq/unix/socket.c \
	librabbitmq/unix/socket.h librabbitmq/win32/socket.c \
	librabbitmq/win32/socket.h
am__objects_3 = librabbitmq/unix/librabbitmq_librabbitmq_la-socket.lo
#am__objects_4 = librabbitmq/win32/librabbitmq_librabbitmq_la-socket.lo
am_librabbitmq_librabbitmq_la_OBJECTS =  \
	librabbitmq/librabbitmq_librabbitmq_la-amqp_api.lo \
	librabbitmq/librabbitmq_librabbitmq_la-amqp_connection.lo \
	librabbitmq/librabbitmq_librabbitmq_la-amqp_framing.lo \
	librabbitmq/librabbitmq_librabbitmq_la-amqp_mem.lo \
	librabbitmq/librabbitmq_librabbitmq_la-amqp_socket.lo \
	librabbitmq/librabbitmq_librabbitmq_la-amqp_table.lo \
	librabbitmq/librabbitmq_librabbitmq_la-amqp_url.lo \
	$(am__objects_3) $(am__objects_4)
librabbitmq_librabbitmq_la_OBJECTS =  \
	$(am_librabbitmq_librabbitmq_la_OBJECTS)
librabbitmq_librabbitmq_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(librabbitmq_librabbitmq_la_CFLAGS) $(CFLAGS) \
	$(librabbitmq_librabbitmq_la_LDFLAGS) $(LDFLAGS) -o $@
tools_libcommon_la_LIBADD =
am__tools_libcommon_la_SOURCES_DIST = tools/common.c tools/common.h \
	tools/unix/process.c tools/unix/process.h tools/win32/compat.c \
	tools/win32/compat.h tools/win32/process.c \
	tools/win32/process.h
#am__objects_5 = tools/unix/tools_libcommon_la-process.lo
##am__objects_6 = tools/win32/tools_libcommon_la-compat.lo \
##	tools/win32/tools_libcommon_la-process.lo
#am_tools_libcommon_la_OBJECTS =  \
#	tools/tools_libcommon_la-common.lo \
#	$(am__objects_5) $(am__objects_6)
tools_libcommon_la_OBJECTS = $(am_tools_libcommon_la_OBJECTS)
tools_libcommon_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(tools_libcommon_la_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
#am_tools_libcommon_la_rpath =
PROGRAMS = $(bin_PROGRAMS) $(noinst_PROGRAMS)
am_examples_amqp_bind_OBJECTS = examples/amqp_bind.$(OBJEXT)
examples_amqp_bind_OBJECTS = $(am_examples_amqp_bind_OBJECTS)
examples_amqp_bind_DEPENDENCIES = examples/libutils.la \
	librabbitmq/librabbitmq.la
am_examples_amqp_consumer_OBJECTS = examples/amqp_consumer.$(OBJEXT)
examples_amqp_consumer_OBJECTS = $(am_examples_amqp_consumer_OBJECTS)
examples_amqp_consumer_DEPENDENCIES = examples/libutils.la \
	librabbitmq/librabbitmq.la
am_examples_amqp_exchange_declare_OBJECTS =  \
	examples/amqp_exchange_declare.$(OBJEXT)
examples_amqp_exchange_declare_OBJECTS =  \
	$(am_examples_amqp_exchange_declare_OBJECTS)
examples_amqp_exchange_declare_DEPENDENCIES = examples/libutils.la \
	librabbitmq/librabbitmq.la
am_examples_amqp_listen_OBJECTS = examples/amqp_listen.$(OBJEXT)
examples_amqp_listen_OBJECTS = $(am_examples_amqp_listen_OBJECTS)
examples_amqp_listen_DEPENDENCIES = examples/libutils.la \
	librabbitmq/librabbitmq.la
am_examples_amqp_listenq_OBJECTS = examples/amqp_listenq.$(OBJEXT)
examples_amqp_listenq_OBJECTS = $(am_examples_amqp_listenq_OBJECTS)
examples_amqp_listenq_DEPENDENCIES = examples/libutils.la \
	librabbitmq/librabbitmq.la
am_examples_amqp_producer_OBJECTS = examples/amqp_producer.$(OBJEXT)
examples_amqp_producer_OBJECTS = $(am_examples_amqp_producer_OBJECTS)
examples_amqp_producer_DEPENDENCIES = examples/libutils.la \
	librabbitmq/librabbitmq.la
am_examples_amqp_sendstring_OBJECTS =  \
	examples/amqp_sendstring.$(OBJEXT)
examples_amqp_sendstring_OBJECTS =  \
	$(am_examples_amqp_sendstring_OBJECTS)
examples_amqp_sendstring_DEPENDENCIES = examples/libutils.la \
	librabbitmq/librabbitmq.la
am_examples_amqp_unbind_OBJECTS = examples/amqp_unbind.$(OBJEXT)
examples_amqp_unbind_OBJECTS = $(am_examples_amqp_unbind_OBJECTS)
examples_amqp_unbind_DEPENDENCIES = examples/libutils.la \
	librabbitmq/librabbitmq.la
am_tests_test_parse_url_OBJECTS = tests/test_parse_url.$(OBJEXT)
tests_test_parse_url_OBJECTS = $(am_tests_test_parse_url_OBJECTS)
tests_test_parse_url_DEPENDENCIES = librabbitmq/librabbitmq.la
am_tests_test_tables_OBJECTS = tests/test_tables.$(OBJEXT)
tests_test_tables_OBJECTS = $(am_tests_test_tables_OBJECTS)
tests_test_tables_DEPENDENCIES = librabbitmq/librabbitmq.la
am__tools_amqp_consume_SOURCES_DIST = tools/consume.c
#am_tools_amqp_consume_OBJECTS =  \
#	tools/tools_amqp_consume-consume.$(OBJEXT)
tools_amqp_consume_OBJECTS = $(am_tools_amqp_consume_OBJECTS)
am__DEPENDENCIES_1 =
#tools_amqp_consume_DEPENDENCIES = $(am__DEPENDENCIES_1) \
#	librabbitmq/librabbitmq.la tools/libcommon.la
tools_amqp_consume_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
