## python-librabbitmq 1.0.1

=== debian/changelog ===
python-librabbitmq (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #688026)

 -- Michael Fladischer <FladischerMichael@fladi.at>  Sun, 09 Jun 2013 13:02:41 +0200
