=== debian/control ===
Source: python-librabbitmq
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
Build-Depends: debhelper (>= 9),
               librabbitmq-dev (>= 0.3.0),
               python-all-dev (>= 2.6.6-3~),
               python-nose,
               python-setuptools,
               python-unittest2
Standards-Version: 3.9.4
X-Python-Version: >= 2.6
Homepage: https://github.com/celery/librabbitmq
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-librabbitmq/trunk/
Vcs-Browser: http://anonscm.debian.org/viewsvn/python-modules/packages/python-librabbitmq/trunk/

Package: python-librabbitmq
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: AMQP Client using the rabbitmq-c library
 Python bindings for the C-language AMQP client library for use with AMQP
 servers speaking protocol versions 0-9-1.
 The Advanced Message Queuing Protocol (AMQP) is an open standard for passing
 business messages between applications or organizations.
