## python-librabbitmq 1.0.3

=== debian/changelog ===
python-librabbitmq (1.0.3-0ubuntu1) trusty; urgency=low

  * New upstream release
  * debian/patches/fix_setup.py: Refreshed/Updated.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 14 Jan 2014 11:59:43 -0500
