=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs Changelog

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -X.js -X.html -X.txt
