=== debian/watch ===
version=3
http://pypi.python.org/packages/source/l/librabbitmq/librabbitmq-([\d\.]+)\.tar\.gz
