=== debian/changelog ===
python-librabbitmq (1.5.2-1) unstable; urgency=low

  [ Michael Fladischer ]
  * New upstream release (Closes: #736348,#747270).
    Thanks to Brian May for his help with this bug.
  * Bump Standards version to 3.9.5.
  * Refresh fix_setup.patch.
  * Clean librabbitmq.egg-info/SOURCES.txt.
  * Mangle "+dfsg" in debian/watch.
  * Add license in d/copyright for rabbitmq-codegen and clib files.
  * Add source lintian override for included byte code file.
  * Check PGP signature on upstream tarball:
    + Add signature URL to debian/watch.
    + Include upstream public PGP key 030A2708.
    + Allow debian/upstream-signing-key.pgp to be included as a binary.

 -- Brian May <bam@debian.org>  Wed, 23 Apr 2014 16:38:01 +0200
