=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: python-librabbitmq
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Michael Fladischer <FladischerMichael@fladi.at>,
+    Brian May <bam@debian.org>
 Build-Depends: debhelper (>= 9),
-               librabbitmq-dev (>= 0.3.0),
+               librabbitmq-dev (>= 0.4.0),
                python-all-dev (>= 2.6.6-3~),
                python-nose,
                python-setuptools,
                python-unittest2
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
 Homepage: https://github.com/celery/librabbitmq
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-librabbitmq/trunk/
