=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/,dversionmangle=s/\+dfsg// \
http://pypi.python.org/packages/source/l/librabbitmq/librabbitmq-([\d\.]+)\.tar\.gz
